ru.bitel.bgbilling.modules.voice.api.common.service

## Interface VoiceDeviceService

- All Superinterfaces:
    DeviceService<VoiceDevice,VoiceDeviceType>

      public interface VoiceDeviceService
      extends DeviceService<VoiceDevice,VoiceDeviceType>

  Сервис для работы с устройствами модуля Voice. Позволяет добавлять, изменять удалять устройства, получать список аккаунтов и сервисов, привязанных к конкретному устройству.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finishSessions(int deviceId)`
    `java.lang.String` | `getMediationIface()` Получение полного имени интерфейса, который должен быть реализован силами динамического кода для изменения логики обработки логов.
    `java.util.List<VoiceDevice>` | `voiceDeviceRadiusList()`
    `java.util.List<VoiceDevice>` | `voiceDeviceSourceList()` Получение списка устройств - источников

    - ### Methods inherited from interface ru.bitel.oss.systems.inventory.resource.common.DeviceService

      `deviceConfigPreview, deviceDelete, deviceGet, deviceGroupDelete, deviceGroupGet, deviceGroupRoot, deviceGroupUpdate, deviceList, deviceManagerMethodList, deviceMove, deviceRoot, deviceTypeDelete, deviceTypeGet, deviceTypeList, deviceTypeUpdate, deviceUpdate`

- - ### Method Detail

    - #### voiceDeviceSourceList

          java.util.List<VoiceDevice> voiceDeviceSourceList()
                                                     throws ru.bitel.bgbilling.common.BGException

      Получение списка устройств - источников
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceDeviceRadiusList

          java.util.List<VoiceDevice> voiceDeviceRadiusList()
                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### finishSessions

          void finishSessions(int deviceId)
                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getMediationIface

          java.lang.String getMediationIface()
                                      throws ru.bitel.bgbilling.common.BGException

      Получение полного имени интерфейса, который должен быть реализован силами динамического кода для изменения логики обработки логов.
      Returns:
        полное имя интерфейса
      Throws:
        `ru.bitel.bgbilling.common.BGException`